/*
 * projet basica
 * Jonathan_v60_Teensy
 * L'ensemble des fichiers  a comme extension .ino et commence par une lettre de l'alphabet.
 * Cela me permet de me passer de fichier .h et .ccp.
 * Lors de la compilation, les fichiers seront lus dans l'ordre alphabétique tout comme
 * un seul squetch.
 * Il manque la gestion definitive de la mémoire et du contrôle par une fenêtre de commande.
 */
 
#include <LedControlMS.h>
#include <EEPROM.h>
#include <CLI.h>



const int NBR_MTX = 2;
//  pour la gestion de l'afficheur 8x8
// dans l'ordre (DataIn;CLK,CS)
LedControl lc=LedControl(12,13,10, NBR_MTX);
/** L'instance de la structure, globale, car utilisé dans plusieurs endroits du programme */


struct MemStructure {
 unsigned long    magic;
 unsigned int     nbb;
 unsigned long    v_min_btn_1; //0-1023
 unsigned long    v_cen_btn_1; //0-1023 
 unsigned long    v_max_btn_1; //0-1023
 
 unsigned long    v_min_btn_2; //0-1023
 unsigned long    v_cen_btn_2; //0-1023
 unsigned long    v_max_btn_2; //0-1023
 
 unsigned long    v_min_btn_3; //0-1023
 unsigned long    v_cen_btn_3; //0-1023 
 unsigned long    v_max_btn_3; //0-1023

 unsigned long    v_min_btn_4; //0-1023
 unsigned long    v_cen_btn_4; //0-1023 
 unsigned long    v_max_btn_4; //0-1023
 
 unsigned long    v_min_joy_x_a_u; //0-1023
 unsigned long    v_min_joy_x_a_d; //0-1023
 unsigned long    v_min_joy_x_a_c; //0-1023
 unsigned long    v_min_joy_x_b_u; //0-1023
 unsigned long    v_min_joy_x_b_d; //0-1023
 unsigned long    v_min_joy_x_b_c; //0-1023 
 
 unsigned long    v_min_joy_y_a_u; //0-1023
 unsigned long    v_min_joy_y_a_d; //0-1023
 unsigned long    v_min_joy_y_a_c; //0-1023
 unsigned long    v_min_joy_y_b_u; //0-1023
 unsigned long    v_min_joy_y_b_d; //0-1023
 unsigned long    v_min_joy_y_b_c; //0-1023 

};


MemStructure ms;






